dotprod {onion} | R Documentation

## Euclidean even product

### Description

Euclidean even product; dot product of two onions

### Usage

    dotprod(x, y)

### Arguments

`x,y` | Onionic vectors

### Details

Returns the Euclidean even product of two onionic vectors. That is, if `x` and `y` are eight-element vectors of the components of two onions, return `sum(x*y)`.

Note that the returned value is a numeric vector (compare `%<.>%`, `e.even()`, which return onionic vectors with zero imaginary part).

### Author(s)

Robin K. S. Hankin

### See Also

`prods`

### Examples

    a <- roct(5)
    b <- roct(1)

    a %.% b
    a %.% (a+3)

[Package onion version 1.2-7 Index]